Bug 1333811 - [abrt] atril: ev_web_view_disconnect_handlers(): atril killed by SIGSEGV
Summary: [abrt] atril: ev_web_view_disconnect_handlers(): atril killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atril
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e6857ac4bb140f359327fc25ab4...
: 1334513 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-06 13:15 UTC by Sam Tygier
Modified: 2016-05-20 23:51 UTC (History)
2 users (show)

Fixed In Version: atril-1.12.2-3.fc23 atril-1.14.0-3.fc24 atril-1.12.2-3.el7 atril-1.12.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-12 07:28:19 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.75 KB, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: cgroup (200 bytes, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: core_backtrace (5.67 KB, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: dso_list (13.14 KB, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: environ (1.48 KB, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: exploitable (82 bytes, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: maps (66.46 KB, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: mountinfo (4.13 KB, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: open_fds (1.67 KB, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details
File: var_log_messages (288 bytes, text/plain)
2016-05-06 13:15 UTC, Sam Tygier
no flags Details

Description Sam Tygier 2016-05-06 13:15:00 UTC
Description of problem:
I was running a script that regenerated some PDF files, which were open atril. I'd guess atril tried to reload them at the same time that they were being writen.

Version-Release number of selected component:
atril-1.12.2-2.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        atril /home/sam/physicstmp/norma/magnets/20160505/plots/norma_da_energy.pdf
crash_function: ev_web_view_disconnect_handlers
executable:     /usr/bin/atril
global_pid:     24764
kernel:         4.4.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ev_web_view_disconnect_handlers at ev-web-view.c:865
 #1 ev_window_set_document at ev-window.c:1599
 #2 ev_window_document_changed_cb at ev-window.c:4859
 #8 g_object_notify_by_spec_internal at gobject.c:1154
 #9 g_object_notify at gobject.c:1202
 #10 ev_document_model_set_document at ev-document-model.c:306
 #11 ev_window_reload_job_cb at ev-window.c:1833
 #12 _g_closure_invoke_va at gclosure.c:864
 #15 emit_finished at ev-jobs.c:193
 #20 gtk_main at gtkmain.c:1268

Comment 1 Sam Tygier 2016-05-06 13:15:04 UTC
Created attachment 1154620 [details]
File: backtrace

Comment 2 Sam Tygier 2016-05-06 13:15:06 UTC
Created attachment 1154621 [details]
File: cgroup

Comment 3 Sam Tygier 2016-05-06 13:15:07 UTC
Created attachment 1154622 [details]
File: core_backtrace

Comment 4 Sam Tygier 2016-05-06 13:15:08 UTC
Created attachment 1154623 [details]
File: dso_list

Comment 5 Sam Tygier 2016-05-06 13:15:09 UTC
Created attachment 1154624 [details]
File: environ

Comment 6 Sam Tygier 2016-05-06 13:15:10 UTC
Created attachment 1154625 [details]
File: exploitable

Comment 7 Sam Tygier 2016-05-06 13:15:12 UTC
Created attachment 1154626 [details]
File: limits

Comment 8 Sam Tygier 2016-05-06 13:15:14 UTC
Created attachment 1154627 [details]
File: maps

Comment 9 Sam Tygier 2016-05-06 13:15:15 UTC
Created attachment 1154628 [details]
File: mountinfo

Comment 10 Sam Tygier 2016-05-06 13:15:16 UTC
Created attachment 1154629 [details]
File: namespaces

Comment 11 Sam Tygier 2016-05-06 13:15:17 UTC
Created attachment 1154630 [details]
File: open_fds

Comment 12 Sam Tygier 2016-05-06 13:15:19 UTC
Created attachment 1154631 [details]
File: proc_pid_status

Comment 13 Sam Tygier 2016-05-06 13:15:20 UTC
Created attachment 1154632 [details]
File: var_log_messages

Comment 14 hlx98007 2016-05-07 20:11:15 UTC
Similar problem has been detected:

Open the PDF (generated by xelatex), while still opening it, change the content of the tex and recompile the tex file to override the PDF, atril crashes.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        atril /home/hlx98007/Dropbox/study/s7/COMP4983/proposal/proposal.pdf
crash_function: ev_web_view_disconnect_handlers
executable:     /usr/bin/atril
global_pid:     16255
kernel:         4.4.8-300.fc23.x86_64
package:        atril-1.12.2-2.fc23
reason:         atril killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Sam Tygier 2016-05-09 13:48:05 UTC
I can reproduce this every time I update a pdf file that is open in atril. For example create a pdf with

python -c "from matplotlib import pyplot; pyplot.plot([1,2,1]); pyplot.savefig('foo.pdf')"

open it with atril, and then run the python command again to overwrite the pdf.

This is a regular part of my workflow, so I think it must be a new regression. Probably with the 1.12.2-2.fc23 update about a week ago.

Comment 16 Wolfgang Ulbrich 2016-05-09 14:11:33 UTC
Well, it seems that the bugfix update 1.12.2-2.fc23 causes another regression if you reload the document from menu entry.
https://github.com/mate-desktop/atril/issues/198
But, this should not be related to this issue.
Can you reproduce the issue with 1.12.2-1.fc23 ?
Btw, i'm currently working on an option to disable auto-reload, see 
https://github.com/mate-desktop/atril/commits/dev-page-cache

Comment 17 Sam Tygier 2016-05-09 14:28:00 UTC
Reload from the menu also crashes 1.12.2-2.fc23.

If I revert to atril-1.12.2-1.fc23.x86_64 (from http://koji.fedoraproject.org/koji/buildinfo?buildID=707544 ), then I don't get the crash from either updating the PDF or reload from the menu.

(Personally, I find the auto-reload very useful, so I hope i am right in thinking that it is still the default option)

Comment 18 Wolfgang Ulbrich 2016-05-09 14:41:43 UTC
Ok, thank you for confirm the regression.
No worry, see https://github.com/mate-desktop/atril/commit/59fe03471aceeb90d26774284e20ad86ed3df851#diff-25a3d455dd9b30d8d484cdde11823b35R16

Comment 19 Wolfgang Ulbrich 2016-05-09 14:47:16 UTC
Please downgrade atril for the momment, we're looking for an solution.

Comment 20 Wolfgang Ulbrich 2016-05-09 20:27:27 UTC
*** Bug 1334513 has been marked as a duplicate of this bug. ***

Comment 21 Fedora Update System 2016-05-09 22:06:59 UTC
atril-1.12.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25e52112ff

Comment 22 Fedora Update System 2016-05-09 22:07:06 UTC
atril-1.14.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5219642bcd

Comment 23 Fedora Update System 2016-05-09 22:07:12 UTC
atril-1.12.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f5f2f1e53

Comment 24 Fedora Update System 2016-05-09 22:07:16 UTC
atril-1.12.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2dd43cc56

Comment 25 Fedora Update System 2016-05-10 18:51:35 UTC
atril-1.12.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25e52112ff

Comment 26 Fedora Update System 2016-05-10 19:26:17 UTC
atril-1.12.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f5f2f1e53

Comment 27 Fedora Update System 2016-05-10 19:28:43 UTC
atril-1.12.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e2dd43cc56

Comment 28 Fedora Update System 2016-05-10 20:28:52 UTC
atril-1.14.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5219642bcd

Comment 29 Sam Tygier 2016-05-11 06:50:04 UTC
atril-1.12.2-3.fc23 fixes the issue. Thanks.

Comment 30 hlx98007 2016-05-11 13:33:21 UTC
(In reply to Sam Tygier from comment #29)
> atril-1.12.2-3.fc23 fixes the issue. Thanks.

confirmed fix

Comment 31 Fedora Update System 2016-05-12 07:28:16 UTC
atril-1.12.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2016-05-14 23:28:39 UTC
atril-1.14.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2016-05-20 20:18:59 UTC
atril-1.12.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2016-05-20 23:51:05 UTC
atril-1.12.2-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.